<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.SysMenuAppMapper">

   <select id="getList" resultType="SysMenuApp">
        select * from sys_menu_app
        where (dept_id = 0 or dept_id = #{deptId})
        and not find_in_set( #{deptId}, hide_dept_ids);
   </select>

</mapper>